# revision 23085
# category TLCore
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
Name:		texlive-hyphen-esperanto
Version:	20120124
Release:	3
Summary:	Esperanto hyphenation patterns
Group:		Publishing
URL:		http://tug.org/texlive
License:	http://www.tug.org/texlive/LICENSE.TL
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/hyphen-esperanto.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
Requires(post):	texlive-hyphen-base
Requires:	texlive-hyph-utf8

%description
Hyphenation patterns for Esperanto ISO Latin 3 and UTF-8
encodings. Note that TeX distributions don't ship any suitable
fonts in Latin 3 encoding, so unless you create your own font
support or want to use MlTeX, using native Unicode engines is
highly recommended.


#-----------------------------------------------------------------------
%files
%_texmf_language_dat_d/hyphen-esperanto
%_texmf_language_def_d/hyphen-esperanto
%_texmf_language_lua_d/hyphen-esperanto

#-----------------------------------------------------------------------
%prep
%setup -c -a0

%build

%install
mkdir -p %{buildroot}%{_texmf_language_dat_d}
cat > %{buildroot}%{_texmf_language_dat_d}/hyphen-esperanto <<EOF
\%% from hyphen-esperanto:
esperanto loadhyph-eo.tex
EOF
perl -pi -e 's|\\%%|%%|;' %{buildroot}%{_texmf_language_dat_d}/hyphen-esperanto
mkdir -p %{buildroot}%{_texmf_language_def_d}
cat > %{buildroot}%{_texmf_language_def_d}/hyphen-esperanto <<EOF
\%% from hyphen-esperanto:
\addlanguage{esperanto}{loadhyph-eo.tex}{}{2}{2}
EOF
perl -pi -e 's|\\%%|%%|;' %{buildroot}%{_texmf_language_def_d}/hyphen-esperanto
mkdir -p %{buildroot}%{_texmf_language_lua_d}
cat > %{buildroot}%{_texmf_language_lua_d}/hyphen-esperanto <<EOF
-- from hyphen-esperanto:
	['esperanto'] = {
		loader = 'loadhyph-eo.tex',
		lefthyphenmin = 2,
		righthyphenmin = 2,
		synonyms = {  },
		patterns = 'hyph-eo.pat.txt',
		hyphenation = '',
	},
EOF



%changelog
* Tue Feb 10 2015 Denis Silakov <denis.silakov@rosalab.ru> 20120124-3
+ Revision: e2210c8
- Drop obsolete post scripts - replaced with triggers


